% APRENDIZAJE AUTOMÁTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 5: Máquinas de Vectores Soporte
% Autores: Jesús Antonio Vega Sánchez y Sebastián Dormido Canto

function inicializar()

%Cargar Datos
reload;
pintardato;

%Cargar Wavelets
%wavelets=['haar ';'db2  ';'db3  ';'sym2 ';'sym3 ';'coif2';'coif3';'dmey '];
wavelets=['haar ';'db2  ';'db3  ';'sym2 ';'sym3 ';'coif2';'coif3'];
set(findobj('Tag','PopupMenuWavelet'),'String',wavelets);

%Cargar Niveles
niveles=['1';'2';'3';'4';'5';'6';'7';'8'];
set(findobj('Tag','PopupMenuNivel'),'String',niveles);

%Cargar Kernels
%kernels=['linear  ';'poly    ';'erbf    ';'rbf     ';'fourier ';'sigmoid ';'spline  ';'bspline '];
kernels=['linear  ';'poly    ';'erbf    ';'rbf     ';'sigmoid '];

set(findobj('Tag','PopupMenuKernel'),'String',kernels);

%Cargar Mapas
mapas=['jet   ';'pink  ';'cool  ';'gray  ';'hsv   ';'bone  ';'copper'];
set(findobj('Tag','PopupMenuCM'),'String',mapas);